Release 5.4.0 1095
Closed, ResolvedPublic

Description

Release version: 5.4.0 (1095)
Release tag: releases/5.4.0
Release SHA1: 7d2ef55300e4a5f2e2af7f7975a51244f811f47b
App Store Submission Date: 3/21/2017
App Store Approval Date: 3/21/2017
App Store Release Date: 3/22/2017
Regression Testing URL: https://docs.google.com/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=sharing


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Upload new screenshots & app icons to iTunes Connect (see T157484)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers (https://docs.google.com/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=sharing)
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l
JMinor created this task.Mar 16 2017, 9:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 9:44 PM
JMinor triaged this task as Normal priority.Mar 16 2017, 9:45 PM

Ran a test pass on following devices. Found no new issues and no blockers. Results are on the iOS Test Cases document.

ABorbaWMF updated the task description. (Show Details)Mar 17 2017, 9:33 PM
JMinor updated the task description. (Show Details)Mar 22 2017, 5:27 PM
JMinor updated the task description. (Show Details)Mar 22 2017, 6:06 PM
JMinor updated the task description. (Show Details)Mar 22 2017, 6:24 PM
JMinor closed this task as Resolved.